USE stages;

INSERT INTO Specialite (ref, sigle, intitule) VALUES
('A', 'SISR', 'Solutions d\'Infrastructure Systèmes et Réseaux'),
('B', 'SLAM', 'Solutions Logicielles Applications Métiers'),
('C', NULL, 'Commun');

INSERT INTO Bloc (code, intitule, refSpe) VALUES
('B1', 'Support et mise à disposition des services informatiques', 'C'),
('B2', 'Administration des systèmes et réseaux', 'A'),
('B2', 'Conception et développement d\'applications', 'B'),
('B3', 'Cybersécurité des services informatiques', 'C'),
('B3', 'Assurer la cybersécurité d\'une infrastructure réseau, d\'un système, d\'un service', 'A'),
('B3', 'Assurer la cybersécurité d\'une solution applicative et de son développement', 'B'); 

INSERT INTO Competence (code, intitule, codeBloc) VALUES
('B1.1', 'Gérer le patrimoine informatique', 'B1'),
('B1.2', 'libelle de la competence', 'B1'),
('B2.1', 'libelle de la competence', 'B2'),
('B3.1', 'libelle de la competence', 'B2'),
('B3.2', 'libelle de la competence', 'B3');


INSERT INTO Categorie (id, libelle) VALUES
(1, 'Administration, collectivités locales'),
(2, 'Banque, finance, assurance'),
(3, 'Conseil'),
(4, 'Constructeur'),
(5, 'Distributeur informatique'),
(6, 'Editeur informatique'),
(7, 'Enseignement, formation'),
(8, 'Industrie, BTP'),
(9, 'Opérateur télécom'),
(10, 'Services (Hors informatique) : commerce, transport, tourisme, etc'),
(11, 'Société de service et d\'ingénierie informatique'),
(12, 'Autres'),
(13, 'Santé');

INSERT INTO Dept (numero, nom) VALUES
(1, 'Ain'),
(2, 'Aisne'),
(3, 'Allier'),
(4, 'Alpes de Haute Provence'),
(5, 'Hautes Alpes'),
(6, 'Alpes Maritimes'),
(7, 'Ardèche'),
(8, 'Ardennes'),
(9, 'Ariège'),
(10, 'Aube'),
(11, 'Aude'),
(12, 'Aveyron'),
(13, 'Bouche du Rhône'),
(14, 'Calvados'),
(15, 'Cantal'),
(16, 'Charente'),
(17, 'Charente Maritime'),
(18, 'Cher'),
(19, 'Corrèze'),
(20, 'Corse'),
(21, 'Côte d\'Or'),
(22, 'Côte d\'Armor'),
(23, 'Creuse'),
(24, 'Dordogne'),
(25, 'Doubs'),
(26, 'Drôme'),
(27, 'Eure'),
(28, 'Eure et Loire'),
(29, 'Finistère'),
(30, 'Gard'),
(31, 'Haute Garonne'),
(32, 'Gers'),
(33, 'Gironde'),
(34, 'Herault'),
(35, 'Ille et Vilaine'),
(36, 'Indre'),
(37, 'Indre et Loire'),
(38, 'Isère'),
(39, 'Jura'),
(40, 'Landes'),
(41, 'Loir et Cher'),
(42, 'Loire'),
(43, 'Haute Loire'),
(44, 'Loire Atlantique'),
(45, 'Loiret'),
(46, 'Lot'),
(47, 'Lot et Garonne'),
(48, 'Lozère'),
(49, 'Maine et Loire'),
(50, 'Manche'),
(51, 'Marne'),
(52, 'Haute Marne'),
(53, 'Mayenne'),
(54, 'Meurthe et Moselle'),
(55, 'Meuse'),
(56, 'Morbihan'),
(57, 'Moselle'),
(58, 'Nièvre'),
(59, 'Nord'),
(60, 'Oise'),
(61, 'Orne'),
(62, 'Pas de Calais'),
(63, 'Puy de Dôme'),
(64, 'Pyrénées Atlantiques'),
(65, 'Hautes Pyrénées'),
(66, 'Pyrénées Orientales'),
(67, 'Bas Rhin'),
(68, 'Haut Rhin'),
(69, 'Rhône'),
(70, 'Haute Saône'),
(71, 'Saône et Loire'),
(72, 'Sarthe'),
(73, 'Savoie'),
(74, 'Haute Savoie'),
(75, 'Paris'),
(76, 'Seine Maritime'),
(77, 'Seine et Marne'),
(78, 'Yvelyne'),
(79, 'Deux Sèvres'),
(80, 'Somme'),
(81, 'Tarn'),
(82, 'Tarn et Garonne'),
(83, 'Var'),
(84, 'Vaucluse'),
(85, 'Vendée'),
(86, 'Vienne'),
(87, 'Haute Vienne'),
(88, 'Vosges'),
(89, 'Yonne'),
(90, 'Belfort'),
(91, 'Essonne'),
(92, 'Hauts de Seine'),
(93, 'Seine Saint Denis'),
(94, 'Val de Marne'),
(95, 'Val d\'Oise'),
(97, 'Dom Tom');

INSERT INTO Etudiant (numero, nom, prenom, email, anneePromo, dateNaissance, rue, codePostal, ville, tel, refSpe) VALUES
(1, 'Batauld', 'Nicolas','batauld.nicolas@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'B'),
(2, 'Bosson', 'Jeremie','bosson.jeremie@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(3, 'Cormin', 'Freddy','cormin@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(4, 'Durand', 'François','durand@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'B'),
(5, 'Mars', 'Pierre', 'mars@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(6, 'Guyon', 'Romain', 'guyon@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(7, 'Lagaz', 'Sylvain', 'lagaz@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'B'),
(8, 'Lellican', 'Benoit', 'lellican@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(9, 'Lavent', 'Yannick', 'lavent@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(10, 'Le Beau', 'Sylvain', 'lebeau@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(11, 'Le Quemener', 'Mathieu', 'lequemener@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(12, 'Thomas', 'Julie', 'thomas@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'B'),
(13, 'Malescoit', 'Damien', 'malescoit@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(14, 'Pagon', 'Anne', 'pagon@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'B'),
(15, 'Ghilouze', 'Pierre', 'ghilouze@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(16, 'Repil', 'Gael', 'repil@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'B'),
(17, 'Ripollin', 'Mathias', 'ripollin@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'B'),
(18, 'Trevent', 'Alban', 'trevent@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(19, 'Yaun', 'Long', 'yaun@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(20, 'Bousnier', 'Antoine', 'bousnier@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'B'),
(21, 'Boucle', 'Amelie', 'boucle@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(22, 'Bazordon', 'Antony', 'bazordon@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'A'),
(23, 'Birnoist', 'Florent', 'birnoist@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'B'),
(24, 'Ertam', 'Hiba', 'ertam@email.com', 2022, '2021-07-02', 'mendez', '35000', 'RENNES', '0211548741', 'B');

INSERT INTO Organisation (numero, nom, idCategorie, rue, codePostal, ville, numeroDept, tel, nomAssurance, numAssurance, fax, email, urlSiteWeb) VALUES
(1, 'Rectorat de Rennes', 1, '96 rue d''Antrain', '35000', 'Rennes', 35, '02 23 21 77 77','CAPM', 12335, NULL, NULL, NULL),
(2, 'IRISA', 7, 'Campus de Beaulieu', '35042', 'Rennes Cedex', 35, '02 99 84 71 00', '02 99 84 71 71','GMF', 666,  NULL, 'www.irisa.fr'),
(3, 'SOLLEIL', NULL, '3 rue de la Carrière', '35920', 'Rennes', 35, '02 99 14 40 70', '', '09 23 04 28 88','CAPM', 123321325, 'www.solleil.fr'),
(4, 'Lycée Victor et Hélène Basch', 7, '15 avenue Charles Tillon', '35000', 'Rennes', 35, '02 99 54 44 43','CAPM', 996687, NULL, '', 'lidf.homeip.net'),
(5, 'Lycée professionnel Coëtlogon', 7, 'Rue Antoine Joly - BP 18307', '35083', 'Rennes Cedex', 35, '02 99 54 62 62','Assur', 951335, NULL, NULL, NULL),
(6, 'Informatique Tech Service', 5, 'ZI du Dressère', '56150', 'Baud', 56, '02 97 51 80 20', '02 97 51 87 83','CAPM', 5522525, NULL, NULL),
(7, 'JET PRINT''S 35', 5, '8 rue de la Garenne', '35135', 'Chantepie', 35, '06 60 70 25 28', '08 25 14 62 61','Assur', 52335, NULL, 'www.jetprints35.fr'),
(8, 'SIB - Syndicat Interhospitalier de Bretagne', 12, '4 rue du Professeur Jean Pecker', '35000', 'Rennes', 35, '02 99 54 75 10','GMF', 888622, '02 99 54 75 09', NULL, 'www.sib.fr'),
(9, 'CFP - Brest', 7, '15 Place Sanquer', '29200', 'Brest', 29, '02 98 44 29 33', '02 99 44 51 10','CAPM', 86521, NULL, 'www.cfp29.org'),
(10, 'AGI Informatique', 5, '332 rue de Nantes', '35200', 'Rennes', 35, '02 99 50 70 39', '02 9932 04 16','GMF', 451, NULL, NULL);

INSERT INTO Contact (id, numeroOrganisation, civilite, prenom, nom, email, tel, fonction) VALUES
(1, 1, 'Madame', 'Françoise', 'Badouin', NULL, NULL, NULL),
(2, 2, 'Monsieur', 'Didier', 'Marin', 'didier.marin@irisa.fr', '0299112233', 'Responsable des moyens informatiques'),
(3, 2, 'Monsieur', 'Christophe', 'Guillon', 'christophe.guillon@irisa.fr', '0299445566', ''),
(4, 2, 'Monsieur', 'François', 'Gourbet', 'Francois.Gourbet@irisa.fr', '0299778899', ''),
(5, 2, 'Madame', 'Isabelle', 'Locaffon', 'Isabelle.Locaffon@irisa.fr', '0299001122', ''),
(6, 4, 'Monsieur', 'Jean-Pierre', 'Laurent', '', '', 'Proviseur'),
(7, 4, 'Monsieur', 'Frédérick', 'Masson', '', '', 'Administrateur réseau'),
(8, 5, 'Monsieur', 'Didier', 'Carmon', NULL, NULL, NULL),
(9, 6, 'Monsieur', 'Franck', 'Gilton', NULL, '02 97 51 80 20', 'Gérant'),
(10, 7, 'Monsieur', 'Grégory', 'Mourtin', 'gregory@jetprint35.fr', '0299334455', 'Gérant'),
(11, 8, 'Madame', 'Mireille', 'Baurand', NULL, '0299667788', 'Responsable support technique'),
(12, 8, 'Monsieur', 'Florent', 'Coupeur', NULL, '0299990011', 'Technicien'),
(13, 2, 'Monsieur', 'Michel', 'Tarmini', 'michel.tarmini@irisa.fr', NULL, NULL),
(15, 9, 'Monsieur', 'Philippe', 'Kermarrec', 'philippe.kermarrec@cfp29.org', '0298223344', 'Responsable informatique');

INSERT INTO Periodestage (id, dateDeb, dateFin, numAnneeForm) VALUES
(1, '2021-05-24', '2021-07-02', 1),
(2, '2022-01-03', '2022-02-04', 2),
(3, '2022-05-23', '2022-07-01', 1),
(4, '2023-01-09', '2023-02-17', 2);

INSERT INTO Role (id, intitule) VALUES
(1, 'Responsable de stage'),
(2, 'Tuteur de stage');

INSERT INTO Stage (id, numeroEtudiant, idPeriodeStage, libelle, theme, annee, numeroOrganisation) VALUES
(1, 1, 2, 'Mise en place d\'un service VoIP sous Astérisk', NULL, 2022, 5),
(2, 2, 1, 'Dépannage sur site, mise en place du réseau dans différentes PME', NULL, 2021, 6),
(3, 4, 1, 'Maintenance systèmes informatiques, installation téléphonie VoIP', NULL, 2021, 7),
(4, 3, 1, 'Installation et configuration de nouveaux PCs dans le parc, intégrés dans le réseau du SIB et dans le réseau WiFI', NULL, 2021, 8),
(5, 2, 2, 'Etudier, proposer et tester des solutions de sauvegarde des données des postes de travail.', NULL, 2022, 2),
(6, 4, 2, 'Mise en place d\'un serveur Linux pour hébergement des sites Web et intranet du centre de formation + sécurisation (système de backup, onduleur)', NULL, 2022, 9),
(7, 6, 2, NULL, NULL, 2022, 10),
(8, 6, 1, 'Déploiement de réseaux dans des établissements scolaires', NULL, 2021, 1),
(9, 7, 2, NULL, NULL, 2022, 4),
(10, 4, 3, 'Migration de base Access vers PostgreSql - Développement d\'une application Web de suivi des plages d\'adresses IP à intégrer dans l\'infocentre', 'XHTML/CSS - PHP/PostgreSql', 2022, 10),
(11, 3, 3, 'Maintenance réseau, installation de serveur web', NULL, 2022, 3),
(12, 7, 3, 'Développement d\'évolutions complémentaires d\'une application de gestion de devis.', 'Access VB.Net', 2022, 8),
(13, 8, 3, 'Développement d\'unités d\'aide au reporting', 'PHP/MySQL', 2022, 1),
(14, 9, 3, 'Maintenance, assemblage d\'ordinateurs portables, fixes et serveurs', NULL, 2022, 1),
(15, 10, 3, 'Développement d\'une application web \"Situation agent\" dans l\'intranet', 'XHTML/CSS - PHP/MySql', 2022, 10);



INSERT INTO Jouerrole (idStage, idContact, idRole) VALUES
(1, 1, 1),
(14, 2, 2),
(5, 3, 2),
(2, 4, 1),
(3, 5, 1),
(13, 6, 1),
(4, 7, 2),
(5, 8, 1),
(6, 9, 1),
(15, 10, 2),
(7, 11, 1),
(12, 12, 2),
(8, 13, 2),
(9, 10, 1),
(11, 15, 1),
(10, 6, 2);